Misplaced WMS layers
Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10712

Description

Adding two WMS layers in QGis produces bad output.

In the screenshot, I have 3 layers correspond to 3 unique WMS layers. The background and the boundaries are created from the same

dataset (ponet/PAL.shp) whereas the roads are created from their own set (rdline/ARC.shp)

While the background and the boundaries are perfectly aligned, the roads aren't.

NB: Sorry for the poor quality of the screenshot.

History

#1 - 2007-03-13 05:02 AM - Magnus Homann

Could you please include the adress to the layers, if available?

Also, did you use the 8.1 preview version, and what projection did you set?

#2 - 2007-03-13 07:59 AM - myardbenoit-gmail-com -

Could you please include the adress to the layers, if available?

Sorry but our [[MapServer]] installation is not accissible through the Internet. I could provide you a set Shapefiles, our server's capabilities or even an

excerpt of the configuration (ie. don't hesitate to ask).

Also, did you use the 8.1 preview version [...]

Altough you can read 0.8.0 on the screenshot, I tested and encountered this bug on both 0.8.0 and 0.8.1 (preview 2 available at 

http://qgis.org/uploadfiles/testbuilds/).

[...] , and what projection did you set?

I was using EPSG:4008 latlong projection and Clarke 1866 ellipsoid both on the server-side and the client-side.

What makes me think this is a QGis related bug is that when you request the 3 WMS layers in a single request (only 1 layer visible in QGis), the roads are

well aligned.
#3 - 2007-03-16 09:27 AM - myardbenoit-gmail-com -

Seems to be a Windows build related bug. I couldn't reproduce it under Linux with QGis while I did reproduce it on another Windows box.

I will attach a simple example (MapServer configuration & data) for you to reproduce this behavior.

Remember that you have to add the two WMS separately.

#4 - 2007-03-16 09:34 AM - myardbenoit-gmail-com -

Seems like my tarball is too big. You can fetch it here : http://taudis.fr/stuff/panama.tar.gz

#5 - 2007-03-16 01:41 PM - Magnus Homann

- Status changed from Open to Closed

- Resolution set to worksforme

Thanks for the mapserver files!

I get the same error when trying 0.8.0 on Win2K.

On 0.8.1preview2 this works on Win2K, however.

Also works in CVS snapshot on Win2K.

0.8.1 must be installed in a clean directriy, no traces of 0.8.0 should remain. If it still doesn't work for you, please re-open the bug.

#6 - 2007-03-17 09:17 AM - myardbenoit-gmail-com -

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

I'm sorry, but it doesn't work for me (Win XP, QGis 0.8.1preview2, fresh install).

#7 - 2007-03-17 01:31 PM - Magnus Homann

You're right. I've spent hours trying different versions on both Win2K and XP, and 0.8.1per2 doesn't work correctly on either of them. Checking out latest

from SVN and compiling does however work.

Wait until next preview/final and see if it works. Until then, we can leave this open.

#8 - 2007-03-17 03:15 PM - Magnus Homann

Try:

http://qgis.org/uploadfiles/testbuilds/qgis_setup0.8.1preview3.exe

Remember to uninstall old versions!
#9 - 2007-03-17 04:00 PM - myardbenoit-gmail-com -

- Status changed from Feedback to Closed

- Resolution set to fixed

It works flawlessly now! Amazing job, thanks.

#10 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files
